| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTC_color_space
GTC Extensions (Stable)

Allow to perform bit operations on integer values. More...

## Functions
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | convertLinearToSRGB (vecType< T, P > const &ColorLinear)
| Convert a linear color to sRGB color using a standard gamma correction. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | convertLinearToSRGB (vecType< T, P > const &ColorLinear, T Gamma)
| Convert a linear color to sRGB color using a custom gamma correction. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | convertSRGBToLinear (vecType< T, P > const &ColorSRGB)
| Convert a sRGB color to linear color using a standard gamma correction. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | convertSRGBToLinear (vecType< T, P > const &ColorSRGB, T Gamma)
| Convert a sRGB color to linear color using a custom gamma correction.

## Detailed Description

Allow to perform bit operations on integer values.

<glm/gtc/color_space.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL vecType<T, P> glm::convertLinearToSRGB | ( | vecType< T, P > const & | ColorLinear | ) |

Convert a linear color to sRGB color using a standard gamma correction.

IEC 61966-2-1:1999 / Rec. 709 specification https://www.w3.org/Graphics/Color/srgb

GLM_FUNC_DECL vecType<T, P> glm::convertLinearToSRGB | ( | vecType< T, P > const & | ColorLinear,
|  | T | Gamma
| ) |  |

Convert a linear color to sRGB color using a custom gamma correction.

IEC 61966-2-1:1999 / Rec. 709 specification https://www.w3.org/Graphics/Color/srgb

GLM_FUNC_DECL vecType<T, P> glm::convertSRGBToLinear | ( | vecType< T, P > const & | ColorSRGB | ) |

Convert a sRGB color to linear color using a standard gamma correction.

IEC 61966-2-1:1999 / Rec. 709 specification https://www.w3.org/Graphics/Color/srgb